Subject: RE: b20.1: build question
From: [email-masked] (Kevin Schnitzius)

31 Dec 1998 13:50:08 -0800
Message-ID: <179AA48D1741D211821700805FFE241873CA84.cygnus.gnu-win32@HQMAIL02>
To: "'Geoffrey Noer'" <[email-masked]>
Cc: [email-masked]

> From: Geoffrey Noer [mailto:[email-masked]]
> Sent: Thursday, December 31, 1998 3:34 AM
> To: Kevin Schnitzius
> Cc: [email-masked]
> Subject: Re: b20.1: build question
> 
> 
> > 1.  Download dev-src_tar.b2
> > 2.  Uncompress and untar it.
> > 3.  From a new obj directory, type 'configure --host=i586-pc-cygwin32
> > --prefix=/install'
> > 3a. Muck about with the newlib configuration to get it to work.
> > 4.  Do a 'make'
> > 5.  Drop the obj/i586-pc-cygwin32/winsup/new-cygwin1.dll into my current
> > toolset?
> > 
> > This doesn't seem to work -- I get access violations immediately.  Is
this
> > supposed to work?  Or, do I have to build everything from the same
> > source with the same compiler?
> 
> I don't understand step 3a.  You should do ths configure, then just
> type make.  At the correct point it will go and configure and make
> newlib then winsup.  newlib shouldn't need any special mucking about.

When building (by typing make in the obj directory) in
obj/i586-pc-cygwin32/newlib 
using the steps above, the configure script in this directory complains that
it 
can't 'find install-sh or install.sh in .. or ./..'  There were various
other 
configure mishaps -- config.guess and config.status were not found.  I
copied them 
from the src directory to the obj/i586-pc-cygwin32 directory.

> And yes, you should be able to just take the newly rebuilt
> new-cygwin1.dll and install it in the old install location as
> cygwin1.dll and make things work (I'm assuming your tools are of B20
> or 20.1 vintage).
> 
> > Also, I was unable to do a 'make install' which failed during gcc
> > installation.
> 
> Run make with -k?  It should be a clean install except for makeinfo
> failing perhaps.

I was not installing over my current, B20.1 tools like the other message
implied.  
The error was gcc.info not found.

I will try again with /src and /obj as my directories since maybe there is 
something path dependent.

Kevin
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".